SitePoint Sponsor

User Tag List

Results 1 to 3 of 3
  1. #1
    SitePoint Member
    Join Date
    Mar 2002
    Location
    Oklahoma City
    Posts
    10
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    PHP with PWS => Security Alert

    I just installed PHP using the PHP 4.1.2 installer at php.net. I installed it onto a Win98 system with Microsoft's Personal Web Server (PWS). I wrote a simple .php file (from Kevin Yank's book) and saved it to c:/inetpub/wwwroot. When I run it, I get:

    Security Alert! PHP CGI cannot be accessed directly.

    I have put everything reasonable I can think of for the value of doc_root in php.ini, including c:\inetpub\wwwroot. No matter what I do, I get that Security Alert message.

    Can anyone help me with this?

  2. #2
    Talk to the /dev/null Theiggsta's Avatar
    Join Date
    Mar 2001
    Location
    Tampa, FL
    Posts
    376
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    You should try using Apache instead of PWS, mainly because apache can use the module instead of a perl interpreter. This cuts down a security risk as well, so I suggest giving apache a try http://www.apache.org/ if your interested.
    Aaron "Theiggsta" Kalin
    Pixel Martini
    Ruby and Rails Developer

  3. #3
    SitePoint Member
    Join Date
    Mar 2002
    Location
    Melbourne, Australia
    Posts
    5
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I too found that the PWS had overridden the Apache setup even after installing it. I was not sure in the end why this was happening, although I simply removed all software from my system (PHP, mySQL, PWS) and started fresh, PWS simply suxor.

    Excuse my french....

    I had edited all files to the correct settings to work with my localhost and could not rectify this. I would suggest removing everything and re-installing!!!
    Last edited by cyborg; Mar 17, 2002 at 05:49.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •